--- title: "Get Device" slug: "get-device" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-device" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Device This URL gets the device details. ## Resource URL GET /domain//device/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | device_id | Device id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | deviceId | Unique device id, not required for POST | String | | deviceName | Device name | String | | deviceType | Device type can be IPSNACSensor/ virtualHIPSensor/ NTBAAppliance/ loadBalancer | Object | | contactInformation | Contact information for the device | String | | location | Device location | String | | lastModifiedTime | Last modified time of the device | String | Details of IPSNACSensor: | Field Name | Description | Data Type | | --- | --- | --- | | sharedSecret | Device shared secret key | String | | confirmSharedSecret | Device confirmed shared secret key | String | | updatingMode | Update mode can be ONLINE/ OFFLINE/ UNKNOWN | String | Details of virtualHIPSensor: | Field Name | Description | Data Type | | --- | --- | --- | | sharedSecret | Device shared secret key | String | | confirmSharedSecret | Device confirmed shared secret key | String | Details of NTBAAppliance: | Field Name | Description | Data Type | | --- | --- | --- | | sharedSecret | Device shared secret key | String | | confirmSharedSecret | Device confirmed shared secret key | String | Details of loadBalancer: | Field Name | Description | Data Type | | --- | --- | --- | | ipAddress | IP address | String | | SNMPv3User | SNMP user name | String | | authenticationPassword | Authentication password | String | | privacyPassword | Privacy password | String | | model | LB model | String | | user | Device user name | String | | password | Device user password | String | ## Example **Request** GET [https:///sdkapi/domain/0/device/1005](https://%3CNSM_IP%3E/sdkapi/domain/0/device/1005) **Response** ``` {  "deviceId": 1005,  "deviceName": "NTBA_APPLIANCEs",  "deviceType": {    "virtualHIPSensor": null,    "NTBAAppliance": {      "sharedSecret": "admin123",      "confirmSharedSecret": "admin123"    },    "loadBalancer": null  },  "contactInformation": "Contact_Infor",  "location": "Locaiton",  "LastModifiedTime": "2013-07-22 20:04:17.0" } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 404 | 4608 | Invalid device id /device not visible in this domain |